<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="Planning"
	ProjectGUID="{7C7899E1-CF95-4338-BA45-F671FFD49AB8}"
	RootNamespace="Planning"
	TargetFrameworkVersion="196613"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			InheritedPropertySheets="..\Utils\Debug.vsprops"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="4"
				DisableSpecificWarnings="4250"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			InheritedPropertySheets="..\Utils\Release.vsprops"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				MinimalRebuild="false"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="3"
				DisableSpecificWarnings="4250"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="ReleaseFinal|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="4"
			InheritedPropertySheets="..\Utils\ReleaseFinal.vsprops"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				EnableIntrinsicFunctions="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				WarningLevel="3"
				DebugInformationFormat="3"
				DisableSpecificWarnings="4250"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLibrarianTool"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\stdafx.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="ReleaseFinal|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\stdafx.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="Action"
			>
			<File
				RelativePath=".\Action\ActionContext.cpp"
				>
			</File>
			<File
				RelativePath=".\Action\ActionContext.h"
				>
			</File>
			<File
				RelativePath=".\Action\DurativeAction.cpp"
				>
			</File>
			<File
				RelativePath=".\Action\DurativeAction.h"
				>
			</File>
			<File
				RelativePath=".\Action\DurativeGroundAction.cpp"
				>
			</File>
			<File
				RelativePath=".\Action\DurativeGroundAction.h"
				>
			</File>
			<File
				RelativePath=".\Action\IAction.cpp"
				>
			</File>
			<File
				RelativePath=".\Action\IAction.h"
				>
			</File>
			<File
				RelativePath=".\Action\IGroundAction.h"
				>
			</File>
			<File
				RelativePath=".\Action\SimpleAction.cpp"
				>
			</File>
			<File
				RelativePath=".\Action\SimpleAction.h"
				>
			</File>
			<File
				RelativePath=".\Action\SimpleGroundAction.cpp"
				>
			</File>
			<File
				RelativePath=".\Action\SimpleGroundAction.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Exception"
			>
			<File
				RelativePath=".\Exception\BindingException.cpp"
				>
			</File>
			<File
				RelativePath=".\Exception\BindingException.h"
				>
			</File>
			<File
				RelativePath=".\Exception\NumericException.h"
				>
			</File>
			<File
				RelativePath=".\Exception\TypingException.h"
				>
			</File>
			<File
				RelativePath=".\Exception\UndefinedFluentException.h"
				>
			</File>
		</Filter>
		<Filter
			Name="World"
			>
			<File
				RelativePath=".\World\IClosedWorld.h"
				>
			</File>
			<File
				RelativePath=".\World\IDurativeClosedWorld.h"
				>
			</File>
			<File
				RelativePath=".\World\PartialWorld.cpp"
				>
			</File>
			<File
				RelativePath=".\World\PartialWorld.h"
				>
			</File>
			<Filter
				Name="Implementations"
				>
				<File
					RelativePath=".\World\Implementations\DurativeWorld.h"
					>
				</File>
				<Filter
					Name="FactsContainer"
					>
					<File
						RelativePath=".\World\Implementations\FactsContainer\BitSetFactsContainer.cpp"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FactsContainer\BitSetFactsContainer.h"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FactsContainer\FactsContainer.h"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FactsContainer\HashSetFactsContainer.cpp"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FactsContainer\HashSetFactsContainer.h"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FactsContainer\TreeSetFactsContainer.cpp"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FactsContainer\TreeSetFactsContainer.h"
						>
					</File>
				</Filter>
				<Filter
					Name="FluentsContainer"
					>
					<File
						RelativePath=".\World\Implementations\FluentsContainer\ArrayFluentsContainer.cpp"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FluentsContainer\ArrayFluentsContainer.h"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\FluentsContainer\FluentsContainer.h"
						>
					</File>
				</Filter>
				<Filter
					Name="Concrete"
					>
					<File
						RelativePath=".\World\Implementations\Concrete\CustomWorld.h"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\Concrete\QualifiedWorld.cpp"
						>
					</File>
					<File
						RelativePath=".\World\Implementations\Concrete\QualifiedWorld.h"
						>
					</File>
				</Filter>
			</Filter>
		</Filter>
		<Filter
			Name="Exp"
			>
			<File
				RelativePath=".\Exp\BaseListExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\Bindings.cpp"
				>
			</File>
			<File
				RelativePath=".\Exp\Bindings.h"
				>
			</File>
			<File
				RelativePath=".\Exp\BindingsIterator.cpp"
				>
			</File>
			<File
				RelativePath=".\Exp\BindingsIterator.h"
				>
			</File>
			<File
				RelativePath=".\Exp\DefaultListExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\FlatListExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\IEffect.h"
				>
			</File>
			<File
				RelativePath=".\Exp\IExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\IInitEl.h"
				>
			</File>
			<File
				RelativePath=".\Exp\ILiteral.h"
				>
			</File>
			<File
				RelativePath=".\Exp\ILogicalExp.cpp"
				>
			</File>
			<File
				RelativePath=".\Exp\ILogicalExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\INumericExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\ITemporalExp.cpp"
				>
			</File>
			<File
				RelativePath=".\Exp\ITemporalExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\ITerm.h"
				>
			</File>
			<File
				RelativePath=".\Exp\ProgressionValue.cpp"
				>
			</File>
			<File
				RelativePath=".\Exp\ProgressionValue.h"
				>
			</File>
			<File
				RelativePath=".\Exp\QuantifiedExp.h"
				>
			</File>
			<File
				RelativePath=".\Exp\UnaryFunctions.h"
				>
			</File>
			<Filter
				Name="Comparison"
				>
				<File
					RelativePath=".\Exp\Comparison\ComparisonExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\GreaterCompExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\GreaterCompExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\GreaterEqualCompExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\GreaterEqualCompExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\LessCompExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\LessCompExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\LessEqualCompExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\LessEqualCompExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\NumericCompExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\NumericEqualCompExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\NumericEqualCompExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\ObjectEqualCompExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Comparison\ObjectEqualCompExp.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Effect"
				>
				<File
					RelativePath=".\Exp\Effect\AndEffect.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\AndEffect.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\ConditionalEffect.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\ConditionalEffect.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\ForallEffect.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\ForallEffect.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\NoEffect.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\NoEffect.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\NotAtomicFormulaApplication.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Effect\NotAtomicFormulaApplication.h"
					>
				</File>
				<Filter
					Name="Assign"
					>
					<File
						RelativePath=".\Exp\Effect\Assign\AssignEffect.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\Decrease.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\Decrease.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\Increase.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\Increase.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\NumericAssign.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\NumericAssign.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\NumericAssignEffect.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\NumericOperationAssignEffect.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\ObjectAssign.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\ObjectAssign.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\ScaleDown.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\ScaleDown.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\ScaleUp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Effect\Assign\ScaleUp.h"
						>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="Formula"
				>
				<File
					RelativePath=".\Exp\Formula\FormulaApplication.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Formula\FormulaApplication.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Formula\RootFormula.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Formula\RootFormula.h"
					>
				</File>
				<Filter
					Name="Defined"
					>
					<File
						RelativePath=".\Exp\Formula\Defined\DefinedFormula.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Defined\DefinedFormula.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Defined\DefinedFormulaApplication.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Defined\DerivedPredicate.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Defined\DerivedPredicate.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Defined\DerivedPredicateApplication.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Defined\DerivedPredicateApplication.h"
						>
					</File>
				</Filter>
				<Filter
					Name="Described"
					>
					<File
						RelativePath=".\Exp\Formula\Described\AtomicFormula.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\AtomicFormula.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\AtomicFormulaApplication.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\AtomicFormulaApplication.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\DescribedFormula.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\DescribedFormula.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\DescribedFormulaApplication.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\Fluent.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\FluentApplication.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\NumericFluent.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\NumericFluent.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\NumericFluentApplication.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\NumericFluentApplication.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\ObjectFluent.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\ObjectFluent.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\ObjectFluentApplication.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Formula\Described\ObjectFluentApplication.h"
						>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="Logical"
				>
				<File
					RelativePath=".\Exp\Logical\AndExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\AndExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\ExistsExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\ExistsExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\FalseExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\FalseExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\ForallExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\ForallExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\ImplyExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\ImplyExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\NotExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\NotExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\OrExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\OrExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\TrueExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Logical\TrueExp.h"
					>
				</File>
				<Filter
					Name="TLPlan"
					>
					<File
						RelativePath=".\Exp\Logical\TLPlan\GoalModalityExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Logical\TLPlan\GoalModalityExp.h"
						>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="Metric"
				>
				<File
					RelativePath=".\Exp\Metric\MaximizeExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Metric\MaximizeExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Metric\MetricExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Metric\MetricExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Metric\MinimizeExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Metric\MinimizeExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Metric\TotalTimeExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Metric\TotalTimeExp.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Numeric"
				>
				<File
					RelativePath=".\Exp\Numeric\FunctionExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\FunctionExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NArityAdd.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NArityAdd.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NArityDivide.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NArityDivide.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NArityMultiply.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NArityMultiply.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NAritySubstract.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\NAritySubstract.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Numeric\Number.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Temporal"
				>
				<File
					RelativePath=".\Exp\Temporal\AlwaysExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\AlwaysExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\AtEndExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\AtEndExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\AtMostOnceExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\AtMostOnceExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\SometimeAfterExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\SometimeAfterExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\SometimeBeforeExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\SometimeBeforeExp.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\SometimeExp.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Temporal\SometimeExp.h"
					>
				</File>
				<Filter
					Name="Composite"
					>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalAndExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalAndExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalExistsExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalExistsExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalForallExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalForallExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalImplyExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalImplyExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalNotExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalNotExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalOrExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\Composite\TemporalOrExp.h"
						>
					</File>
				</Filter>
				<Filter
					Name="TLPlan"
					>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\EventuallyExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\EventuallyExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\NextExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\NextExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\UntilExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\UntilExp.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\WeakUntilExp.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Temporal\TLPlan\WeakUntilExp.h"
						>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="Term"
				>
				<File
					RelativePath=".\Exp\Term\Object.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Term\Object.h"
					>
				</File>
				<File
					RelativePath=".\Exp\Term\ObjectParameterVariable.cpp"
					>
				</File>
				<File
					RelativePath=".\Exp\Term\ObjectParameterVariable.h"
					>
				</File>
				<Filter
					Name="Type"
					>
					<File
						RelativePath=".\Exp\Term\Type\CompositeType.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Term\Type\CompositeType.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Term\Type\PrimitiveType.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Term\Type\PrimitiveType.h"
						>
					</File>
					<File
						RelativePath=".\Exp\Term\Type\Type.cpp"
						>
					</File>
					<File
						RelativePath=".\Exp\Term\Type\Type.h"
						>
					</File>
				</Filter>
			</Filter>
		</Filter>
		<Filter
			Name="Utils"
			>
			<File
				RelativePath=".\Utils\ICancellable.cpp"
				>
			</File>
			<File
				RelativePath=".\Utils\ICancellable.h"
				>
			</File>
			<File
				RelativePath=".\Utils\Options.cpp"
				>
			</File>
			<File
				RelativePath=".\Utils\Options.h"
				>
			</File>
			<File
				RelativePath=".\Utils\Statistics.h"
				>
			</File>
			<File
				RelativePath=".\Utils\Utils.cpp"
				>
			</File>
			<File
				RelativePath=".\Utils\Utils.h"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
